get_locks_status
Prev | File Locks | Next

## Name

get_locks_status — reports lock usage in /proc/locks

## Synopsis

`int get_locks_status (` | char * | buffer,
| char ** | start,
| off_t | offset,
| int | length`)`;

## Arguments

`buffer`

  address in userspace to write into

`start`

  ?

`offset`

  how far we are through the buffer

`length`

  how much to read

Prev | Up | Next
sys_flock | Home | Other Functions